/**
* DevExtreme (ui/number_box.d.ts)
* Version: 19.1.11 (build 20155-0314)
* Build date: Wed Jun 03 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxNumberBox(): JQuery;
    dxNumberBox(options: "instance"): DevExpress.ui.dxNumberBox;
    dxNumberBox(options: string): any;
    dxNumberBox(options: string, ...params: any[]): any;
    dxNumberBox(options: DevExpress.ui.dxNumberBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxNumberBox;
export type Options = DevExpress.ui.dxNumberBoxOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxNumberBoxOptions;